spandsp 0.0.6

t4_t6_encode_state_s Struct Reference

`#include <t4_t6_encode.h>`

## Public Attributes
int | min_bits_per_row
| The minimum number of encoded bits per row. This is a timing thing for hardware FAX machines.
int | max_rows_to_next_1d_row
| The current maximum contiguous rows that may be 2D encoded.
int | rows_to_next_1d_row
| Number of rows left that can be 2D encoded, before a 1D encoded row must be used.
int | ref_steps
| The number of runs currently in the reference row.
int | bit_pos
| Pointer to the byte containing the next image bit to transmit.
int | bit_ptr
| Pointer to the bit within the byte containing the next image bit to transmit.
t4_row_read_handler_t | row_read_handler
| Callback function to read a row of pixels from the image source.
void * | row_read_user_data
| Opaque pointer passed to row_read_handler.

## Detailed Description

T.4 1D, T4 2D and T6 compressor state.

The documentation for this struct was generated from the following file:

- private/t4_t6_encode.h